<script setup lang="ts">
import { ref } from 'vue'

const props = defineProps({
  title: String,
  subtitle: String,
  class_subtitle: String,
  oldData: Number,
  newData: Number,
  icon: String
})

const ratio = ref(Math.floor(((props.newData! - props.oldData!) / Math.abs(props.oldData!)) * 100))
</script>

<template>
  <v-card rounded="xl" class="pa-4 align-center text-left text-h6" :prepend-icon="props.icon">
    <template v-slot:title>
      {{ props.title }}
    </template>

    <template v-slot:subtitle>
      <p :class="props.class_subtitle">
        {{ ratio + '% ' + props.subtitle }}
      </p>
    </template>
    <v-card-text>
      <v-row>
        <v-col class="text-grey">
          <h1>{{ props.oldData?.toLocaleString() }}</h1>
        </v-col>
        <v-divider />
        <v-col class="text-right">
          <h1>{{ props.newData?.toLocaleString() }}</h1>
        </v-col>
      </v-row>
    </v-card-text>
  </v-card>
</template>
